# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Manifest
Version:	1.09
Release:	18.%{__distinit}%{__distvers}
Summary:	Parse and examine a Perl distribution MANIFEST file
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Module-Manifest
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Manifest-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Unix)
BuildRequires:	perl(Params::Util)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Warn)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Avoid doc-file dependencies
%global __requires_exclude_from ^%{_docdir}/perl-Module-Manifest(-%{version})?/examples/

%description
Module::Manifest is a simple utility module created originally for use in
Module::Inspector.

%prep
%setup -q -n Module-Manifest-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README examples/
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Manifest.3*

%changelog
* Tue Jul 18 2023 Paul Howarth <paul@city-fan.org> - 1.09-18
- Use SPDX-format license tag
- Drop support for building with rpm < 4.9
- Use %%license unconditionally

* Sat Jun  1 2019 Paul Howarth <paul@city-fan.org> - 1.09-6
- Perl 5.30 rebuild

* Thu Dec 21 2017 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09
  - Switch packaging to Dist::Zilla, which makes the distribution installable
    again on perl 5.27.7 (CPAN RT#123867)
- This release by ETHER → update source URL
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 1.08-20
- Fix building on Perls without '.' in @INC
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sun Jul 31 2016 Paul Howarth <paul@city-fan.org> - 1.08-18
- Classify buildreqs by usage
- Simplify find command using -delete
- Fix requires filter to work with unversioned docdirs too

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 1.08-14
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 1.08-6
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Sun Aug  7 2011 Paul Howarth <paul@city-fan.org> - 1.08-5
- Import from Fedora

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.08-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu Sep 16 2010 Petr Pisar <ppisar@redhat.com> - 1.08-1
- 1.08 bump

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.07-2
- Mass rebuild with perl-5.12.0

* Tue Apr 20 2010 Petr Pisar <ppisar@redhat.com> - 0.07-1
- Version bump
- New Test::Exception and Test::Warn BuildRequires
- Explicit perl-File-Spec >= 0.80 run-time dependency version
- Add examples

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-4
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.03-1
- Specfile autogenerated by cpanspec 1.77
